Bug 476234

Summary: Review Request: mindi-busybox - Busybox version suited for Mindi
Product: [Fedora] Fedora Reporter: Bruno Cornec <bruno_cornec>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bruno.cornec, bruno.cornec, bruno, bruno, fedora-package-review, i, james.hogarth, msuchy, opensource, tadej.j
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1024549    
Bug Blocks: 187317    

Description Bruno Cornec 2008-12-12 11:49:43 EST
Spec URL: ftp://ftp.mondorescue.org/test/fedora/9/mindi-busybox.spec
SRPM URL: ftp://ftp.mondorescue.org/test/fedora/9/mindi-busybox-1.7.3-1.fc9.src.rpm
Description: Busybox version suited for Mindi

Reason for having a dedicated version of busybox:

The project has the need for precise functions built-in and some other *NOT* built in (such as modules support).

the project keeps using an older version of busybox as that binary is critical for MondoRescue, and It's not possible to test newer versions all the time. Project needs a very stable busybox for the recovery environment, for which e.g. NFS is no problem ... (contrary to some other versions, ...)
Comment 1 Caius Chance 2009-02-17 00:56:44 EST
550 "no such file" for both.
Comment 2 Bruno Cornec 2009-02-17 08:20:46 EST
Sorry for that. The version is now official for upstream and available at ftp://ftp.mondorescue.org/fedora/10/mindi-busybox-1.7.3-1.fc10.src.rpm and the SPEC at ftp://ftp.mondorescue.org/fedora/10/mindi-busybox.spec
Comment 3 Caius Chance 2009-02-17 20:24:19 EST
rpmlint has no complaints
Comment 6 Tadej Janež 2009-03-28 11:47:08 EDT
I don't understand comments #4 and #5. What has mpich2 to do with mindi-busybox?

Just a comment about the name of the package. A saw Anaconda also has its special version of busybox and it is named busybox-anaconda.
Comment 7 Caius Chance 2010-02-24 02:33:44 EST
please ignore comment #4 and #5, thanks
Comment 8 Caius Chance 2010-04-28 22:34:28 EDT
./SPECS/mindi-busybox.spec:20: W: setup-not-quiet
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

# You might need a '-q' for setup.
Comment 9 Caius Chance 2010-04-28 22:54:37 EDT
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

# Need a bug filed in bugzilla and put the number next to the ExcludeArch line.

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

# gcc is in exceptions which is not needed.

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

# Need a line "%find_lang %{name}" in %install section.
Comment 10 Bruno Cornec 2010-05-03 18:39:17 EDT
Created Bug https://bugzilla.redhat.com/show_bug.cgi?id=588550 for lack of power PC support.

gcc dep has been removed

mindi and mindi-busybox is not localized at the moment.

A new intermediate version of the packge is now available at:
ftp://ftp.mondorescue.org/test/fedora/12/mindi-busybox-1.7.3-0.20100504003616.fc12.src.rpm and 
ftp://ftp.mondorescue.org/test/fedora/12/mindi-busybox.spec

Let me know if it looks better now
Comment 11 Dennis Gilmore 2010-05-04 12:39:06 EDT
Caius https://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Support the bug is supposed to be filed after the package has been accepted since it doesn't yet have a component in bugzilla to file against. its not a blocker not being in bugzilla.  but there should eb a description why in the spec that will be swapped out for the bug info post acceptance.
Comment 12 Caius Chance 2010-07-14 19:36:41 EDT
I had been reviewing this request as a brand new package. I am not sure if this is duplicated to an existing component but in different version or else.
Comment 13 Bruno Cornec 2011-11-18 19:11:37 EST
I'd like to get feedback on this request. My latest version is available at ftp://ftp.mondorescue.org/test/fedora/16/x86_64/mindi-busybox.spec and ftp://ftp.mondorescue.org/test/fedora/16/x86_64/mindi-busybox-1.18.5-0.20111114000556.fc16.src.rpm

TIA for anyone able to help.
Comment 14 Christopher Meng 2013-07-25 23:35:29 EDT
Hi Bruno,

Are you still interested in this package?

I'm willing to help.

But...


1. Can you tell us your FAS username? I think that you are not a packager of Fedora. YOu may need sponsor still.

2, Can you update it to the latest version, and paste the URLs to here again?

Cheers.
Comment 15 Bruno Cornec 2013-08-25 09:49:41 EDT
1/ My FAS account is bcornec
2/ The latest versions are now available here:

ftp://ftp.mondorescue.org/fedora/19/x86_64/mindi-busybox-1.18.5-3.fc19.src.rpm
ftp://ftp.mondorescue.org/fedora/19/x86_64/mindi-busybox.spec
Comment 16 Christopher Meng 2013-08-25 09:55:52 EDT
Are you going to support EL6?

If not please remove:

1. 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires: gcc-c++

rm  -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%defattr(-,root,root)

2. %doc ChangeLog INSTALL LICENSE AUTHORS README TODO NEWS 

shouldn't include INSTALL file(MUST)

%doc AUTHORS ChangeLog LICENSE NEWS README TODO

3. No need to add 

Homepage: http://www.mondorescue.org

in the description, you can add it to the mindi package.)But I think people use it should know some bits of it.... ;) (

4. %setup -q -n %name-%{version}

should be 

%setup -q

as this is shorter. (RPM defaults, %setup -q --> %setup -q -n %name-%{version}
)
Comment 17 Bruno Cornec 2013-09-10 18:30:47 EDT
I do support RHEL.
The other modifications should be better with the version here: ftp://ftp.mondorescue.org/test/fedora/19/x86_64/mindi-busybox-1.18.520130910014540-0.fc19.src.rpm and
ftp://ftp.mondorescue.org/test/fedora/19/x86_64/mindi-busybox.spec

Thanks for your help
Comment 18 Michael Schwendt 2013-10-24 03:07:16 EDT
The "fedora-review" flag here has been set to '?', which means this ticket has only been shown on the list of "Tickets under review" and not on the list of NEW review requests, and neither on the NEEDSPONSOR list:

  http://fedoraproject.org/PackageReviewStatus

The reviewer probably has dropped the ball, and the "Assigned To" field has been changed several times in 2010-2013, but the fedora-review flag has been forgotten.

[...]

Has anyone run "fedora-review -b 476234" yet and perused its results?
Comment 19 Michael Schwendt 2013-10-29 19:08:25 EDT
* Found bundled MD5 implementations. Also affects "busybox". Filed bug 1024549.


* fedora-review tool license check recognises a long list of used licenses:

  *No copyright* GPL (v2 or later)
  *No copyright* GPL (v2 or later) (with incorrect FSF address)

  BSD (3 clause)
    -> e.g. libbb, libpwdgrp and runit files

  BSD (4 clause)
    -> disabled inetd.c : BSD with advertizing would be GPL-incompatible

  Beerware

  GPL
    -> actually GPL v2 or later in a comment

  GPL (v2 or later)
  GPL (v2 or later) (with incorrect FSF address)
  GPL (v2) (with incorrect FSF address)
  LGPL (v2.1 or later) (with incorrect FSF address)

  MIT/X11 (BSD like)
    -> shell/math.c has been adapted and relicensed to GPL v2+

  Perl
    -> an example script only

  Public domain
  Unknown or generated


Although several source files apply BSD licensing only, the resulting executable is supposed to be "GPL v2" indeed according to the file "LICENSE".

  https://fedoraproject.org/wiki/Licensing:FAQ#How_should_I_handle_multiple_licensing_situations.3F


> make busybox

Calling "make V=1 busybox" would turn on verbose build (resulting in KBUILD_VERBOSE=1), so one gets to see compiler/linker flags and options.


> BuildRoot
> %clean 

A comment whether the spec file is supposed to stay compatible with EL5 would be helpful:

https://
fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag


> %defattr(-,root,root)

is not needed anymore for any of the active dist releases:
https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
Comment 20 Miroslav Suchý 2015-10-08 02:27:57 EDT
Bruno has been sponsored (fas name bcornec) therefore removing FE-NEEDSPONSOR.
Comment 21 James Hogarth 2015-12-03 20:01:24 EST
There has been no progress on this in a couple of years

Bruno do you still intend to have this reviewed?

If there is no response within one week as per policy it will be closed so that others may take it up if they are interested to do so.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
Comment 22 Bruno Cornec 2015-12-07 00:35:58 EST
Yes. Still want to provide it. We're now making progress on buffer on which I'll concentrate effortd first. Then I'll work on this one again.
Comment 23 Bruno Cornec 2016-02-08 20:09:16 EST
buffer has now been built for fedora, so I'd like to work on this one again.
I've requested the package on branch master
Comment 24 Jon Ciesla 2016-02-09 12:24:29 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/mindi-busybox
Comment 25 Bruno Cornec 2016-09-19 14:28:47 EDT
Updating package references in order to run fedora-review and prepare upload

ftp://ftp.mondorescue.org/fedora/23/x86_64/mindi-busybox-1.21.1-1.fc23.src.rpm
ftp://ftp.mondorescue.org/fedora/23/x86_64/mindi-busybox.spec
Comment 26 Till Maas 2016-11-19 14:07:44 EST
(In reply to Bruno Cornec from comment #23)
> buffer has now been built for fedora, so I'd like to work on this one again.
> I've requested the package on branch master

The package needs to pass review before it can be imported into Fedora/you can request a branch. It seems there was an oversight, therefore I retired the package for now. Once the review is done, you can request it to be unretired.

Btw. I noticed that the package is not yet using %license. Also I would prefer I comment about why you do not want to build a debug package.